josm-plugins (0.0.svn31608+ds1-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Update SVN URLs to use HTTPS.
  * Bump JOSM dependency to 8800.
  * Update Vcs-Browser & Homepage URLs to use HTTPS.
  * Enable parallel builds.
  * Update copyright file, changes:
    - Add Upstream-Name field
    - Rename Upstream-Source field to Source
    - Drop © from Copyright fields
    - Align copyright holders
  * Drop obsolete README.source.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Oct 2015 01:03:52 +0200

josm-plugins (0.0.svn31107+ds1-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump source & target to Java 7 in custom ant.properties to match upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Jun 2015 00:23:17 +0200

josm-plugins (0.0.svn31074+ds1-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Bump JOSM dependency to 8159.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Apr 2015 07:39:14 +0200

josm-plugins (0.0.svn31044+ds1-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Bump JOSM dependency to 8109.
  * Update my email to @debian.org address.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Mar 2015 00:22:09 +0100

josm-plugins (0.0.svn30932+ds1-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Bump JOSM dependency to 7995.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 01 Feb 2015 20:37:41 +0100

josm-plugins (0.0.svn30893+ds1-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump JOSM dependency to 7906.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 31 Dec 2014 19:55:41 +0100

josm-plugins (0.0.svn30838+ds1-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Bump JOSM dependency to 7778.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 10 Dec 2014 22:32:09 +0100

josm-plugins (0.0.svn30763+ds1-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump JOSM dependency to 7643.
    (closes: #764176)
  * Refresh patches.
  * Bump Standards-Version to 3.9.6, no changes.
  * Add lintian override for incompatible-java-bytecode-format, OpenJDK
    7 is required.
  * Remove unused file paragraph in copyright.
  * Add gbp.conf to use pristine-tar by default.
  * Restructure control file with cme.
  * Switch Maintainer from the Debian OpenStreetMap Team to the Debian
    GIS Project.
  * Add myself to Uploaders.
  * Change Section from utils to science, and Priority from extra to
    optional.
  * Bump debhelper compatibility to 9.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 24 Oct 2014 18:49:10 +0200

josm-plugins (0.0.svn30137+ds1-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump JOSM dependency to 6502 (Closes: #736225).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 08 Feb 2014 00:53:35 +0100

josm-plugins (0.0.svn29866+ds1-1) unstable; urgency=low

  * New upstream snapshot.
  * Remove cadastre-fr: it uses geotools library, not in Debian.
  * debian/control:
    - Add myself to Uploaders.
    - Bump JOSM dependency to 6115.
  * debian/fix_build_xml.py: Fix script when revision target does not exist.

 -- Mònica Ramírez Arceda <monica@debian.org>  Tue, 10 Sep 2013 18:09:51 +0200

josm-plugins (0.0.svn29348+ds1-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump JOSM dependency to 5759.

 -- David Paleino <dapal@debian.org>  Sat, 06 Apr 2013 23:44:11 +0200

josm-plugins (0.0.svn29007+ds1-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump JOSM dependency to 5608.
  * Fixed Vcs-* fields.

 -- David Paleino <dapal@debian.org>  Fri, 21 Dec 2012 00:18:47 +0100

josm-plugins (0.0.svn28937+ds1-1) unstable; urgency=low

  * New upstream snapshot.
  * New repacked tarball: removed livegps plugin, which had files
    under the problematic JSON license. Also removed surveyor plugin,
    which depends on it. (Closes: #692620)
  * Updated debian/copyright.
  * Updated debian/control:
    - included plugins in long description
    - bump JOSM dependency to >= 5576
  * Removed Andreas Putzo from Uploaders.

 -- David Paleino <dapal@debian.org>  Tue, 13 Nov 2012 22:52:14 +0100

josm-plugins (0.0.svn28784+ds1-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Remove myself from the uploaders list, since I have no time
    anymore to stay after this package.

  [ David Paleino ]
  * New upstream snapshot
  * Standards-Version bump to 3.9.4, no changes needed
  * Bump JOSM dependency to 5531

 -- David Paleino <dapal@debian.org>  Thu, 11 Oct 2012 09:51:32 +0200

josm-plugins (0.0.svn28420+ds1-1) unstable; urgency=low

  * New upstream snapshot
  * Bump JOSM dependency to >= 5267

 -- David Paleino <dapal@debian.org>  Fri, 08 Jun 2012 21:06:39 +0200

josm-plugins (0.0.svn28372+ds1-1) unstable; urgency=low

  * New upstream snapshot
  * Bump JOSM dependency to >= 5210

 -- David Paleino <dapal@debian.org>  Fri, 01 Jun 2012 11:08:34 +0200

josm-plugins (0.0.svn28290+ds1-1) unstable; urgency=low

  * New upstream snapshot
  * Bump JOSM dependency to >= 5181

 -- David Paleino <dapal@debian.org>  Mon, 23 Apr 2012 10:31:56 +0200

josm-plugins (0.0.svn28008+ds1-1) unstable; urgency=low

  * New upstream snapshot
  * Bump JOSM dependency to >= 5047 (Closes: #666002)
  * Updated debian/copyright
  * Standards-Version bump to 3.9.3, no changes needed

 -- David Paleino <dapal@debian.org>  Sat, 07 Apr 2012 19:54:07 +0200

josm-plugins (0.0.svn27676+ds1-1) unstable; urgency=low

  * New upstream snapshot
  * Bump JOSM dependency to >= 4878

 -- David Paleino <dapal@debian.org>  Thu, 02 Feb 2012 11:58:45 +0100

josm-plugins (0.0.svn27285+ds1-1) unstable; urgency=low

  * New upstream snapshot
  * Don't download i18n data anymore when creating new orig.tar.gz
  * debian/patches/10-i18n-build.xml removed -- i18n directory isn't
    being packaged anymore
  * Bump JOSM requirement to 4666-7 (Closes: #648320)

 -- David Paleino <dapal@debian.org>  Mon, 26 Dec 2011 18:56:19 +0100

josm-plugins (0.0.svn26626+ds1-2) unstable; urgency=low

  * Bump JOSM requirement to 4487.

 -- David Paleino <dapal@debian.org>  Sat, 08 Oct 2011 23:47:50 +0200

josm-plugins (0.0.svn26626+ds1-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * New upstream snapshot.
  * Bump Josm requirement to 4399.

  [ David Paleino ]
  * Added build-dependencies on ant-contrib and libgettext-ant-tasks-java

 -- David Paleino <dapal@debian.org>  Sun, 25 Sep 2011 22:17:40 +0200

josm-plugins (0.0.svn25935-1) unstable; urgency=low

  * New upstream snapshot
  * Bump JOSM requirement to 4064
  * Fix long description to make lintian happy
  * Switch Maintainer/Uploaders between pkg-grass and pkg-osm
  * Repository moved under pkg-osm space

 -- David Paleino <dapal@debian.org>  Tue, 03 May 2011 18:36:26 +0200

josm-plugins (0.0.svn25845-1) unstable; urgency=low

  * New upstream snapshot
  * Bump JOSM requirement to 4021
  * Standards-Version bumped to 3.9.2, no changes needed

 -- David Paleino <dapal@debian.org>  Fri, 15 Apr 2011 11:47:33 +0200

josm-plugins (0.0.svn25527-2) unstable; urgency=low

  * Bump JOSM requirement to 3966

 -- David Paleino <dapal@debian.org>  Thu, 10 Mar 2011 11:20:44 +0100

josm-plugins (0.0.svn25527-1) unstable; urgency=low

  * New upstream snapshot
  * Bump JOSM requirement to 3961

 -- David Paleino <dapal@debian.org>  Tue, 08 Mar 2011 09:51:37 +0100

josm-plugins (0.0.svn24925-2) unstable; urgency=low

  * Removed any reference to the removed plugins from the long
    description.
  * Re-organized the last changelog entry a bit :)

 -- David Paleino <dapal@debian.org>  Sun, 02 Jan 2011 10:13:25 +0100

josm-plugins (0.0.svn24925-1) unstable; urgency=low

  * New upstream snapshot
  * Plugins integrated in josm-core: slippymap, wmsplugin,
    remotecontrol, imagery.
    + Removed patches applied to removed plugins
    + debian/master.xml: don't reference removed plugins anymore
    + debian/copyright: remove information about removed plugins
  * Bump JOSM requirement on 3751
  * Moving webkit-image-* to a separate new source package
    + debian/rules: remove special build lines for webkit-image-*
    + debian/webkit-image* removed
    + debian/control: removed any reference to webkit-image-*
    + debian/patches/170-fix_webkitimagegtk.patch removed
    + Remove recommendation of webkit-image-*

 -- David Paleino <dapal@debian.org>  Sun, 02 Jan 2011 00:12:05 +0100

josm-plugins (0.0.svn24632-1) unstable; urgency=low

  * New upstream snapshot
  * debian/patches/* refreshed
  * Bump JOSM requirement on 3701

 -- David Paleino <dapal@debian.org>  Wed, 08 Dec 2010 19:52:09 +0100

josm-plugins (0.0.svn24572-1) unstable; urgency=low

  * New upstream snapshot
  * Also download imagery plugin
  * debian/copyright: add information for the imagery plugin
  * Bump JOSM requirement on 3695
  * Added imagery description to josm-plugins' long description
  * Patches refreshed
  * Fix build to include imagery plugin

 -- David Paleino <dapal@debian.org>  Mon, 06 Dec 2010 11:56:39 +0100

josm-plugins (0.0.svn23479-3) unstable; urgency=low

  * Switch priority between webkit-image-gtk and -qt in Recommends

 -- David Paleino <dapal@debian.org>  Thu, 14 Oct 2010 20:39:13 +0200

josm-plugins (0.0.svn23479-2) unstable; urgency=low

  * debian/patches/170-fix_webkitimagegtk.patch added, don't output
    a fixed size image, otherwise it's inusable with JOSM.
  * debian/webkit-image-gtk.1, debian/webkit-image-gtk.manpages,
    debian/webkit-image-qt.1, debian/webkit-image-qt.manpages added:
    manpages written (Closes: #600093)
  * debian/webkit-image-*.{postinst,prerm} added: handle "webkit-image"
    alternative
  * debian/control: added Recommends on webkit-image-* to josm-plugins
    (Closes: #600137)

 -- David Paleino <dapal@debian.org>  Thu, 14 Oct 2010 11:58:22 +0200

josm-plugins (0.0.svn23479-1) unstable; urgency=low

  * New upstream snapshot
  * debian/control:
    - added two new packages: webkit-image-qt and webkit-image-gtk
    - bump debhelper dependency to >= 8~
    - bumped dependencies on JOSM to 3592
  * debian/rules:
    - rewritten to use dh7
    - add necessary steps to compile webkit-image-*
  * debian/compat bumped to 8
  * debian/patches/60_wmsplugin.diff refreshed to cleanly apply
  * debian/clean added, remove webkit-image-* compilation files
  * debian/webkit-image-gtk.install debian/webkit-image-qt.install
    added, correctly install binaries into the new packages

 -- David Paleino <dapal@debian.org>  Tue, 12 Oct 2010 23:36:58 +0200

josm-plugins (0.0.svn23040-1) unstable; urgency=low

  * New upstream snapshot
    - new plugin included: remotecontrol
  * debian/patches/:
    - 150_routing.diff, 60_wmsplugin.diff refreshed to cleanly apply
    - 60_wmsplugin.diff: fix classpath issues with the new
      remotecontrol.jar
    - 160_remotecontrol.diff added, disable upstream SVN access
  * debian/control:
    - Standards-Version bumped to 3.9.1, no changes needed
    - update dependencies on JOSM
  * debian/rules:
    - add remotecontrol to the list of downloded plugins
  * debian/master.xml: build remotecontrol before wmsplugin
  * debian/copyright: add notice for newly added remotecontrol plugin

 -- David Paleino <dapal@debian.org>  Thu, 09 Sep 2010 09:09:27 +0200

josm-plugins (0.0.svn22363-1) unstable; urgency=low

  * New upstream snapshot
  * debian/patches/160-wmsplugin_max-connections.patch removed, merged
    upstream
  * debian/control:
    - update dependencies on JOSM
    - update Standards-Version to 3.9.0
      + use Breaks instead of Conflicts

 -- David Paleino <dapal@debian.org>  Sun, 18 Jul 2010 21:16:51 +0200

josm-plugins (0.0.svn21666-2) unstable; urgency=low

  * debian/patches/160-wmsplugin_max-connections.patch added,
    thanks to Matteo Gottardi.

 -- David Paleino <dapal@debian.org>  Thu, 17 Jun 2010 13:36:18 +0200

josm-plugins (0.0.svn21666-1) unstable; urgency=low

  * Updated to revision 21666
  * debian/control: update dependencies on JOSM

 -- David Paleino <dapal@debian.org>  Wed, 16 Jun 2010 15:24:45 +0200

josm-plugins (0.0.svn20981-1) unstable; urgency=low

  [ David Paleino ]
  * debian/control:
    - added myself to Uploaders
    - added pkg-osm to Uploaders
    - move package from Section java to utils, according to archive
      override
    - Vcs-* fields updated, package moved to Git
    - Build-Depend on libgrapht0.8
  * debian/copyright updated

  [ Giovanni Mascellani ]
  * Updated to revision 20981 (closes: #571140)
  * Added plugins:
    + cadastre-fr - A special handler for the French land registry WMS
      server (closes: #555723)
    + DirectUpload - Directly uploads GPS Traces from current active
      layer in JOSM to openstreetmap.org
    + editgpx - Anonymizes timestamps and deletes parts of huge GPX tracks
      very fast
    + lakewalker - Helps vectorizing WMS images
    + routing - Provides routing capabilities
  * Removed plugins:
    + agpifoj - Dropped upstream
    + utilsplugin - Dropped upstream
    + validator - Bad license
  * Standards-Version bumped to 3.8.4 (no changes required)
  * Updated my email address

 -- Giovanni Mascellani <gio@debian.org>  Mon, 31 May 2010 17:00:28 +0200

josm-plugins (0.0.svn18009-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * New upstream revision
  * Added plugins:
    + agpifoj - Creates a new layer with geotagged pictures.
    + measurement - Adds a dialog and a layer to measure length and angle of
      segments and create measurement paths.
    + openvisible - Allows opening gpx and osm files that intersect the
      currently visible screen area.
    + surveyor - Allows adding markers/nodes on current gps positions.
  * Removed plugins:
    + namefinder
    + ywms
    + slippy_map_chooser
    (integrated in josm or in other plugins, not more maintained on
    upstream SVN)
  * dpatches updated consequently
  * Added both build and binary dependencies on the exact version of josm
    (closes: #530305, #537009)
  * Debian policy bumped to 3.8.3 (no changes required)
  * Added debian/README.source with info about dpatch

  [ Andreas Putzo ]
  * Update packaging copyright year.
  * Mention added plugins in long description.
  * Use openjdk in debian/rules to be consistent with build dependency.

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Fri, 06 Nov 2009 00:52:03 +0100

josm-plugins (0.0.0.20080518-1) unstable; urgency=low

  * Upstream SVN revision number again available for plugins ywms and
    validator.
  * Added Vcs-* fields in debian/control
  * Enables plugin slippy_map_chooser
  * Moved to package license GPL-2+, after having cleared it with Andreas
    Putzo
  * Bumped Standards-Version to 3.8.0 (no changes needed)

 -- Giovanni Mascellani <g.mascellani@gmail.com>  Mon, 07 Jul 2008 09:10:01 +0200

josm-plugins (0.0.0.20080413-1) unstable; urgency=low

  * Initial release (Closes: #471846)

  * Upload sponsored by Petter Reinholdtsen.

 -- Andreas Putzo <andreas@putzo.net>  Sun, 13 Apr 2008 10:02:59 +0000
